require 'uu/os/rest/dto'
require 'uu/os/uesuri'

module UU
  module Finman
    module Account
      # Value object containing attributes available to modify state on a Account entity.
      class AccountSetState < UU::OS::REST::DTO

        # Item from enumeration {UU::Finman::Account::AccountState} of states available for account state change. Cannot be null.
        # @param [String, UU::Finman::Account::AccountState]
        # @return [UU::Finman::Account::AccountState]
        attr_accessor :account_state

        # The artifact state comment. When null is set, comment will be left empty.
        # @param [String]
        # @return [String]
        attr_accessor :comment

        def account_state
          attributes[:accountState]
        end

        def account_state=(val)
          attributes[:accountState] = val
        end

        def comment
          attributes[:comment]
        end

        def comment=(val)
          attributes[:comment] = val
        end

      end
    end
  end
end

